## TomoeWriting

TomoeWriting — An object for representing hand-writing strokes data

## Synopsis

    #define             TOMOE_WRITING_WIDTH
    #define             TOMOE_WRITING_HEIGHT
    #define             TOMOE_TYPE_POINT
                        TomoePoint;
                        TomoeWriting;
    TomoeWriting*       tomoe_writing_new                   (void);
    void                tomoe_writing_move_to               (TomoeWriting *writing,
                                                             gint x,
                                                             gint y);
    void                tomoe_writing_line_to               (TomoeWriting *writing,
                                                             gint x,
                                                             gint y);
    void                tomoe_writing_clear                 (TomoeWriting *writing);
    guint               tomoe_writing_get_n_strokes         (TomoeWriting *writing);
    void                tomoe_writing_remove_last_stroke    (TomoeWriting *writing);
    const GList*        tomoe_writing_get_strokes           (TomoeWriting *writing);
    gchar*              tomoe_writing_to_xml                (TomoeWriting *writing);
    GType               tomoe_point_get_type                (void);
    TomoePoint*         tomoe_point_new                     (gint x,
                                                             gint y);
    TomoePoint*         tomoe_point_copy                    (const TomoePoint *point);
    void                tomoe_point_free                    (TomoePoint *point);

## Object Hierarchy

      GObject
       +----TomoeWriting

## Description

## Details

### TOMOE_WRITING_WIDTH

    #define TOMOE_WRITING_WIDTH 1000

### TOMOE_WRITING_HEIGHT

    #define TOMOE_WRITING_HEIGHT 1000

### TOMOE_TYPE_POINT

    #define TOMOE_TYPE_POINT              (tomoe_point_get_type ())

### TomoePoint

    typedef struct {
        gint x;
        gint y;
    } TomoePoint;

### TomoeWriting

    typedef struct _TomoeWriting TomoeWriting;

The TomoeWriting struct contains only private fields and should not be directly accessed.

### tomoe_writing_new ()

    TomoeWriting*       tomoe_writing_new                   (void);

Returns : |

### tomoe_writing_move_to ()

    void                tomoe_writing_move_to               (TomoeWriting *writing,
                                                             gint x,
                                                             gint y);

`writing` : |
`x` : |
`y` : |

### tomoe_writing_line_to ()

    void                tomoe_writing_line_to               (TomoeWriting *writing,
                                                             gint x,
                                                             gint y);

`writing` : |
`x` : |
`y` : |

### tomoe_writing_clear ()

    void                tomoe_writing_clear                 (TomoeWriting *writing);

`writing` : |

### tomoe_writing_get_n_strokes ()

    guint               tomoe_writing_get_n_strokes         (TomoeWriting *writing);

`writing` : |
Returns : |

### tomoe_writing_remove_last_stroke ()

    void                tomoe_writing_remove_last_stroke    (TomoeWriting *writing);

`writing` : |

### tomoe_writing_get_strokes ()

    const GList*        tomoe_writing_get_strokes           (TomoeWriting *writing);

`writing` : |
Returns : |

### tomoe_writing_to_xml ()

    gchar*              tomoe_writing_to_xml                (TomoeWriting *writing);

`writing` : |
Returns : |

### tomoe_point_get_type ()

    GType               tomoe_point_get_type                (void);

Returns : |

### tomoe_point_new ()

    TomoePoint*         tomoe_point_new                     (gint x,
                                                             gint y);

`x` : |
`y` : |
Returns : |

### tomoe_point_copy ()

    TomoePoint*         tomoe_point_copy                    (const TomoePoint *point);

`point` : |
Returns : |

### tomoe_point_free ()

    void                tomoe_point_free                    (TomoePoint *point);

`point` : |